-- $Id: FRFilterTests.hs,v 1.1 2013/10/20 02:29:53 leavens Exp $
module FRFilterTests where
import FRFilter
import Testing
main = dotests2 "FRFilterTests $Revision" tests_int tests_char
tests_int :: [TestCase [Integer]]
tests_int = 
    [eqTest (frfilter (> 0) []) "==" []
    ,eqTest (frfilter (> 0) [-1]) "==" []
    ,eqTest (frfilter (> 0) [5,-1]) "==" [5]
    ,eqTest (frfilter (> 2) [99,5,-1,86]) "==" [99,5,86]
    ,eqTest (frfilter (>= 6) [99,5,-1,86]) "==" [99,86]
    ,eqTest (frfilter (<= 6) [1 .. 10000000]) "==" [1 .. 6]
    ,eqTest (frfilter (\n -> (n-5) < -7 || (n+5) > 7) [-55 .. 55])
     "==" ([-55 .. -3] ++ [3 .. 55])  ]
tests_char :: [TestCase [Char]]
tests_char = 
    [eqTest (frfilter (== 'a') []) "==" []
    ,eqTest (frfilter (> 'm') "xylophone") "==" "xyopon"
    ,eqTest (frfilter (< 'm') "florida") "==" "flida"
    ,eqTest (frfilter (\c -> c == 'f' || c == 'l') "florida") "==" "fl"  ]
