-- $Id: FoldNWayTreeTests.hs,v 1.1 2013/10/20 02:29:53 leavens Exp $
module FoldNWayTreeTests where
import NWayTree
import FoldNWayTree
import Testing
main = dotests "FoldNWayTreeTests $Revision: 1.1 $" tests
tests :: [TestCase Bool]
tests = 
    [assertTrue ((foldNWayTree (\n res -> Node (n+1) res) (Node 3 [Node 7 []]))
                 == (Node 4 [Node 8 []]))
    ,assertTrue ((foldNWayTree (\v res -> v:(concat res)) sampleNT)
                 == [10,3,1,2,5,4,6])
    ,assertTrue ((foldNWayTree (\v res -> (reverse (v:(concat res)))) sampleNT)
                 == [5,6,4,3,1,2,10])
    ,assertTrue ((foldNWayTree (\n res -> n + (sum res)) sampleNT) == 31)
    ]
    where sampleNT = (Node 10 [(Node 3 [(Node 1 []), (Node 2 [])])
                              ,(Node 5 [(Node 4 [(Node 6 [])])])])
