-- $Id: SumSquaresTests.hs,v 1.1 2013/10/20 02:29:53 leavens Exp $
module SumSquaresTests where
import SumSquares
import Testing
main = dotests "SumSquaresTests $Revision" tests
tests :: [TestCase Integer]
tests = 
    [eqTest (sumSquares []) "==" 0
    ,eqTest (sumSquares [10]) "==" 100
    ,eqTest (sumSquares [5,10]) "==" 125
    ,eqTest (sumSquares [1 .. 10]) "==" 385
    ,eqTest (sumSquares [1 .. 1000]) "==" 333833500
    ,eqTest (sumSquares [-55 .. 55]) "==" 113960
    ,eqTest (sumSquares [99 .. 999]) "==" 332514951
    ,eqTest (sumSquares ([-55 .. 55] ++ [99 .. 999])) "==" 332628911  ]
