-- $Id: PreOrderNWayTests.hs,v 1.1 2013/10/20 02:29:53 leavens Exp $
module PreOrderNWayTests where
import NWayTree
import PreOrderNWay
import Testing
main = dotests "PreOrderNWayTests $Revision: 1.1 $" tests
tests :: [TestCase [Int]]
tests = 
    [eqTest (preOrderNWay (Node 3 [])) "==" [3]
    ,eqTest (preOrderNWay (Node 3 [(Node 7 []), (Node 9 []), (Node 6 [])])) "==" [3,7,9,6]
    ,eqTest (preOrderNWay (Node 3 [(Node 7 [(Node 8 [])]), (Node 9 [])
                                  ,(Node 6 [(Node 5 []), (Node 6 [])])]))
     "==" [3,7,8,9,6,5,6]
    ,eqTest (preOrderNWay (Node 10 [(Node 1 [(Node 2 [(Node 3 [(Node 4 [])])])])
                                   ,(Node 5 [(Node 6 [])])
                                   ,(Node 7 [(Node 8 [(Node 9 [(Node 11 [])])])])
                                   ,(Node 12 [(Node 13 [])])]))
     "==" [10,1,2,3,4,5,6,7,8,9,11,12,13]  ]
