-- $Id: ScaleNWayTests.hs,v 1.2 2019/10/30 01:55:21 leavens Exp leavens $
module ScaleNWayTests where
import NWayTree
import ScaleNWay
import Testing
main = dotests "ScaleNWayTests $Revision: 1.2 $" tests
tests :: [TestCase (NWayTree Int)]
tests = 
    [eqTest (scaleNWay 5 (Node 3 [])) "==" (Node 15 [])
    ,eqTest (scaleNWay 5 (Node 3 [])) "==" (Node 15 [])
    ,eqTest (scaleNWay 10 (Node 3 [(Node 7 []), (Node 9 []), (Node 6 [])])) 
     "==" (Node 30 [(Node 70 []), (Node 90 []), (Node 60 [])]) 
    ,eqTest (scaleNWay 0 (Node 3 [(Node 7 []), (Node 9 []), (Node 6 [])]))
     "==" (Node 0 [(Node 0 []), (Node 0 []), (Node 0 [])])
    ,eqTest (scaleNWay 4 (Node 3 [(Node 7 [(Node 8 [])]), (Node 9 [])
                                 ,(Node 6 [(Node 5 []), (Node 6 [])])]))
     "==" (Node 12 [(Node 28 [(Node 32 [])]), (Node 36 [])
                   ,(Node 24 [(Node 20 []), (Node 24 [])])])
    ,eqTest (scaleNWay 10 (Node 10 [(Node 1 [(Node 2 [(Node 3 [(Node 4 [])])])])
                                   ,(Node 5 [(Node 6 [])])
                                   ,(Node 7 [(Node 8 [(Node 9 [(Node 11 [])])])])
                                   ,(Node 12 [(Node 13 [])])]))
     "==" (Node 100 [(Node 10 [(Node 20 [(Node 30 [(Node 40 [])])])])
                    ,(Node 50 [(Node 60 [])])
                    ,(Node 70 [(Node 80 [(Node 90 [(Node 110 [])])])])
                    ,(Node 120 [(Node 130 [])])])
     ]

